<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<object-views xmlns="http://axelor.com/xml/ns/object-views"
              xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
              xsi:schemaLocation="http://axelor.com/xml/ns/object-views http://axelor.com/xml/ns/object-views/object-views_5.2.xsd">

    <grid name="machine-location-grid-qvm" title="Equipement Location" model="com.axelor.apps.qvm.db.QvmMachineLocation">
        <field name="name"/>
        <field name="parent"/>
        <field name="stockUnity"/>
    </grid>

    <form name="machine-location-form-qvm" title="Equipement Location" model="com.axelor.apps.qvm.db.QvmMachineLocation" >
        <panel name="mainPanel">
            <field name="name" colSpan="4"/>
            <field name="parent" colSpan="4" onChange="save,action-record-machine_location-default-location-record"/>
            <field name="stockUnity" colSpan="4"/>
            <field name="machineList" grid-view="machine-grid-qvm" form-view="machine-form-qvm" colSpan="12"/>
        </panel>
    </form>

    <kanban name="machine-location-kanban-view"  title="Machine Location" model="com.axelor.apps.qvm.db.QvmMachineLocation" columnBy="stockUnity" sequenceBy="orderByState" draggable="false" limit="30">
        <field name="name"/>
        <field name="parent"/>
        <template><![CDATA[
		<h4>{{name}}</h4>]]>
        </template>
    </kanban>

    <action-view name="machine.location.qvm" model="com.axelor.apps.qvm.db.QvmMachineLocation" title="Equipement Location">
        <view name="machine-location-grid-qvm" type="grid"/>
        <view name="machine-location-form-qvm" type="form"/>
        <view name="machine-location-kanban-view" type="kanban"/>
    </action-view>


</object-views>
